# Messages Object

> Source: https://truto.one/docs/api-reference/unified-marketing-automation-api/messages/

Schema for the `Messages` resource in **Unified Marketing Automation API**.

## Properties

- **`id`** _(string, required)_
  The message's unique identifier
- **`sender`** _(object)_
  The sender of the message
  - **`id`** _(string)_
    Unique identifier of the sender
  - **`name`** _(string)_
    Name of the sender
  - **`type`** _(string)_
    Type of the sender
    Allowed: `contact`, `user`
- **`recipient`** _(object)_
  The recipient of the message
  - **`id`** _(string)_
    Unique identifier of the recipient
  - **`name`** _(string)_
    Name of the recipient
  - **`type`** _(string)_
    Type of the recipient
    Allowed: `contact`, `user`
- **`send_date`** _(string)_
  The date and time that the message was sent
- **`subject`** _(string)_
  The message's subject line
- **`body`** _(string)_
  The message's body
- **`body_html`** _(string)_
  The message's HTML body
- **`status`** _(string)_
  The sending status of the message
- **`channel`** _(string)_
  The medium through which the message was sent
  Allowed: `email`, `webhook`, `in_app`, `slack`, `push`, `twilio`
- **`campaign`** _(object)_
  The associated campaign for the message
  - **`id`** _(string)_
    Unique identifier of the campaign
- **`template`** _(object)_
  The associated template for the message
  - **`id`** _(string)_
    Unique identifier of the template
- **`updated_at`** _(string)_
  The date and time of the message's last update
- **`created_at`** _(string)_
  The date and time of the message's creation
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/marketing-automation/messages](/docs/api-reference/unified-marketing-automation-api/messages/list) — List Messages
- [GET /unified/marketing-automation/messages/{id}](/docs/api-reference/unified-marketing-automation-api/messages/get) — Get Messages
